cgGetFirstParameterAnnotation(3)

NAME
cgGetFirstParameterAnnotation - get the first annotation of a parameter

SYNOPSIS
  #include <Cg/cg.h>
  CGannotation cgGetFirstParameterAnnotation( CGparameter param );

PARAMETERS

param
    The parameter from which to retrieve the annotation.

RETURN VALUES
Returns the first annotation for the given parameter.

Returns NULL if the parameter has no annotations or an error occurs.

DESCRIPTION
The annotations associated with a parameter can be retrieved with cgGetFirstParameterAnnotation. Use the cgGetNextAnnotation manpage to iterate through the remainder of the parameter's annotations.

EXAMPLES
  CGannotation ann = cgGetFirstParameterAnnotation( param );
  while( ann )
  {
     /* do something with ann */
     ann = cgGetNextAnnotation( ann );
  }

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetFirstParameterAnnotation was introduced in Cg 1.4.

SEE ALSO
the cgGetNamedParameterAnnotation manpage, the cgGetNextAnnotation manpage